# img_open.c File Reference

## Detailed Description

Contains the basic img_open function call, that interfaces with the format specific _open calls.

`#include <sys/stat.h>`
`#include <string.h>`
`#include "img_tools.h"`
`#include "raw.h"`
`#include "split.h"`

## Functions

TSK_IMG_INFO * | tsk_img_open (const TSK_TCHAR *type, const int num_img, const TSK_TCHAR **images)
| Open one or more files as a disk image.

## Function Documentation

TSK_IMG_INFO* tsk_img_open | ( | const TSK_TCHAR * | type,
|  | const int | num_img,
|  | const TSK_TCHAR ** | images
| ) |

Open one or more files as a disk image.

This serves as a wrapper around the specific types of disk image formats. You can specify the type or autodetection can be used.

Parameters:

  | type | The text a user supplied for the type of format. Examples include "raw", "split", "aff", etc.
  | num_img | The number of images that are being considered.
  | images | The path to the files (the number of files must be equal to num_img)

Returns:
  Pointer to the Image state structure or NULL on error